<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" />
<meta name="HandheldFriendly" content="True" />
<meta content="yes" name="apple-mobile-web-app-capable">
<meta name="viewport" content="width=device-width,height=device-height,initial-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta content="telephone=no" name="format-detection"/>
<meta name="author" content="<?php $this->author(); ?>"/>
<title><?php $this->archiveTitle(array(
            'category'  =>  _t('分类 %s 下的文章'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ' - '); ?><?php $this->options->title(); ?></title>
<meta property="og:site_name" content="<?php $this->options->title() ?>"/>
<meta property="og:title" content="<?php if($this->is('index')): ?><?php $this->options->title() ?><?php else: ?><?php $this->title() ?><?php endif; ?>" />
<meta property="og:type" content="blog"/>
<meta property="og:url" content="<?php if($this->is('index')): ?><?php $this->options->siteUrl(); ?><?php else: ?><?php $this->permalink() ?><?php endif; ?>" />
<meta property="og:description" content="<?php if($this->is('index')): ?><?php $this->options->description() ?><?php else: ?><?php $this->description() ?><?php endif; ?>" />
<meta property="og:image" content="<?php if($this->is('index')): ?><?php $this->options->indexpicUrl() ?><?php endif; ?><?php if($this->is('post')||$this->is('page')): ?><?php if (isset($this->fields->pic)): ?><?php $this->fields->pic(); ?><?php endif; ?><?php endif; ?>" />
<meta property="og:image:width" content="1920" />
<meta property="og:image:height" content="1280" />
<?php if($this->is('post')||$this->is('page')): ?>
<meta property="og:release_date" content="<?php $this->date('Y-m-j'); ?>" />
<meta property="og:author" content="<?php $this->author(); ?>" />
<?php endif; ?>
<!-- 通过自有函数输出HTML头部信息 -->
<?php $this->header('commentReply='); ?>
<!-- 百度站长平台-->
<meta name="baidu-site-verification" content="g5bDMWD3Z7" />
<meta baidu-gxt-verify-token="fe4e567c42645f32195e1bf7c080e904">
<!-- favicon -->
<link rel="shortcut icon" href="<?php $this->options->faviconpicUrl() ?>">
<link rel="apple-touch-icon" href="<?php $this->options->faviconpicUrl() ?>">
<!-- DNS预解析 -->
<link rel="dns-prefetch" href="https://cdn.v2ex.com/gravatar/" />
<!-- canonical标签 -->
<link rel="canonical" href="<?php if($this->is('index')): ?><?php $this->options->siteUrl(); ?><?php else: ?><?php $this->permalink() ?><?php endif; ?>"/>
<!-- 熊掌号 -->
<script  type="application/ld+json"> {
       "@context": "https://zhanzhang.baidu.com/contexts/cambrian.jsonld",
       "@id": "<?php $this->permalink() ?>",
       "appid": "1608028242333941",
       "title":"<?php $this->title() ?>",
       "images": [
           "<?php if (isset($this->fields->pic)): ?><?php $this->fields->pic(); ?><?php endif; ?>"       ],
       "description": "<?php $this->description() ?>",
       "pubDate": "<?php $this->date('Y-m-j\\Th:i:s'); ?>",
       "isOriginal": "0"
}</script>
<!-- JSON-LD -->
<script type="application/ld+json">
<?php if($this->is('index')): ?>
{
    "@context": "https://schema.org",
    "@type": "Website",
    "publisher": {
        "@type": "Organization",
        "name": "<?php $this->author(); ?>",
        "logo": {
            "@type": "ImageObject",
            "url": "<?php $this->options->faviconpicUrl() ?>",
            "width": 60,
            "height": 60
        }
    },
    "url": "<?php $this->options->siteUrl(); ?>",
    "image": {
        "@type": "ImageObject",
        "url": "<?php $this->options->indexpicUrl() ?>",
        "width": 1920,
        "height": 1280
    },
    "mainEntityOfPage": {
        "@type": "WebPage",
        "@id": "<?php $this->options->siteUrl(); ?>"
    },
    "description": "<?php $this->options->description() ?>"
}
<?php endif; ?><?php if($this->is('post')||$this->is('page')): ?>
{
    "@context": "https://schema.org",
    "@type": "Article",
    "publisher": {
        "@type": "Organization",
        "name": "<?php $this->author(); ?>",
        "logo": {
            "@type": "ImageObject",
            "url": "<?php $this->options->faviconpicUrl() ?>",
            "width": 60,
            "height": 60
        }
    },
    "author": {
        "@type": "Person",
        "name": "<?php $this->author(); ?>",
        "image": {
            "@type": "ImageObject",
            "url": "<?php $this->options->adminpicUrl() ?>",
            "width": 250,
            "height": 250
        },
        "url": "<?php $this->author->permalink(); ?>",
        "sameAs": []
    },
    "headline": "<?php $this->title() ?>",
    "url": "<?php $this->permalink() ?>",
    "datePublished": "<?php $this->date('Y-m-j'); ?>.000Z",
    "dateModified": "<?php $this->date('Y-m-j'); ?>.000Z",
    "image": {
        "@type": "ImageObject",
        "url": "<?php if (isset($this->fields->pic)): ?><?php $this->fields->pic(); ?><?php endif; ?>",
        "width": 1080,
        "height": 720
    },
    "keywords": "<?php $this->category(',', false); ?>",
    "description": "<?php $this->description() ?>",
    "mainEntityOfPage": {
        "@type": "WebPage",
        "@id": "<?php $this->options->siteUrl(); ?>"
    }
}
<?php endif; ?>
</script>
<!-- 主题css -->
<link rel="stylesheet" type="text/css" href="<?php $this->options->themeUrl('assets/built/screen.css'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php $this->options->themeUrl('assets/built/custom.css'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php $this->options->themeUrl('assets/built/c7sky.css'); ?>">
<link rel="stylesheet" type="text/css" href="<?php $this->options->themeUrl('assets/built/OwO.min.css'); ?>" />
<link href="//cdn.staticfile.org/highlight.js/9.12.0/styles/tomorrow.min.css" rel="stylesheet">  
<!-- 自定义css -->
<?php $this->options->yetou(); ?>
</head>

<body class="<?php body_class($this)?>">
<div id="pjax">

<?php $this->need('search-html.php'); ?>
<!-- 搜索页 -->
		
<div class="butterBar"><p class="butterBar-message">请不要删掉主题作者！！</p></div>
<!-- 提示框  -->
	
    <div class="site-wrapper">

<header class="site-header outer" <?php if($this->is('index')): ?>style="background-image: url(<?php $this->options->indexpicUrl() ?>)"<?php else: ?><?php endif;?><?php if($this->is('category')): ?>style="background-image: url(<?php $this->options->themeUrl('images/category/'); ?><?php echo $this->categories[0]['mid'] . '.jpg'; ?>)"<?php else: ?><?php endif;?><?php if($this->is('page','archives')): ?>style="background-image: url(<?php $this->options->archivespicUrl() ?>)"<?php else: ?><?php endif;?><?php if($this->is('author')): ?>style="background-image: url(<?php $this->options->authorpicUrl() ?>)"<?php else: ?><?php endif;?><?php if($this->is('search')): ?>style="background-image: url(<?php $this->options->searchpicUrl() ?>)"<?php endif;?>>
    <div class="inner">
<?php if($this->is('index')): ?>
        <div class="site-header-content">
            <h1 class="site-title"><?php $this->options->title() ?></h1>
            <h2 class="site-description"><?php $this->options->description() ?></h2>
        </div>
<?php else: ?><?php endif;?>
        <nav class="site-nav">
    <div class="site-nav-left">
            <ul class="nav" role="menu">
    <li class="nav-" role="menuitem"><a href="<?php $this->options->siteUrl(); ?>">首页</a></li>
<?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
<?php while($pages->next()): ?>
	<li class="nav- <?php if($this->is('page', $pages->slug)): ?>nav-current<?php endif; ?>" role="presentation"><a href="<?php $pages->permalink(); ?>"><?php $pages->title(); ?></a></li>
<?php endwhile; ?>

<li class="nav- " role="presentation"><a target="_blank" href="https://my.yufanboke.top/">免费空间</a></li>
			</ul>

    </div>
    <div class="site-nav-right">
        <div class="social-links"></div>
        <div class="serachsvg"><svg onclick="$('.search-form--modal').addClass('is-visible');" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="200" height="200">
                                <path d="M963.1,833.2L693.8,563.9c32.3-54.7,51.2-118.3,51.2-186.4C745,174.5,580.5,10,377.5,10C174.5,10,10,174.5,10,377.5C10,580.5,174.5,745,377.5,745c68.1,0,131.7-18.9,186.4-51.2l269.3,269.3c16.6,16.6,39.6,26.9,65,26.9c50.7,0,91.9-41.1,91.9-91.9C990,872.8,979.7,849.8,963.1,833.2z M377.5,653.1c-152.2,0-275.6-123.4-275.6-275.6c0-152.2,123.4-275.6,275.6-275.6c152.2,0,275.6,123.4,275.6,275.6C653.1,529.7,529.7,653.1,377.5,653.1z" fill="#ffffff"></path>
                            </svg></div>
            <a target="_blank" class="subscribe-button" href="<?php $this->options->rootUrl(); ?>/<?php if ($this->options->rewrite==0): ?>index.php/<?php endif; ?>feed">订阅</a>
    </div>
</nav>
<?php if($this->is('category')): ?>
        <div class="site-header-content">
            <h1 class="site-title"><?php $this->archiveTitle(array(
            'category'  =>  _t('%s'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            //'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ''); ?></h3></h1>
            <h2 class="site-description"><?php echo $this->getDescription(); ?></h2>
        </div>
<?php else: ?><?php endif;?>
<?php if($this->is('author')): ?>
        <div class="site-header-content">
            <h1 class="site-title"><?php $this->archiveTitle(array(
            'category'  =>  _t('%s'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            //'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ''); ?></h3></h1>
            <h2 class="site-description"><?php echo $this->getDescription(); ?></h2>
        </div>
<?php else: ?><?php endif;?>

<?php if($this->is('page','archives')): ?>
<div class="site-header-content">
            <h1 class="site-title">归档</h1>
            <h2 class="site-description">这有所有的文章记录</h2>
        </div>
<?php else: ?><?php endif;?>

<?php if($this->is('search')): ?>
<div class="site-header-content">
            <h1 class="site-title">搜索结果:</h1>
            <h2 class="site-description"><?php $this->archiveTitle(array(
            //'category'  =>  _t('%s'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            //'tag'       =>  _t('标签 %s 下的文章'),
            //'author'    =>  _t('%s 发布的文章')
        ), '', ''); ?></h2>
        </div>
<?php else: ?><?php endif;?>
    </div>
</header>
