<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<main id="site-main" class="site-main outer" role="main">
    <div class="inner">

        <article class="post-full post">

            <header class="post-full-header">
                <section class="post-full-meta">
                    <time class="post-full-meta-date" datetime="<?php $this->date('F j, Y'); ?>"><?php $this->date('F j, Y'); ?></time>
                    <span class="date-divider">/</span><?php $this->category() ?>
                </section>
                <h1 class="post-full-title"><?php $this->title() ?></h1>
            </header>

            <figure class="post-full-image" style="background-image: url(<?php $this->fields->pic(); ?>)">
            </figure>

            <section class="post-full-content">
                <div class="kg-card-markdown"><p><?php $this->content(); ?></p>

</div>
            </section>

            <!-- <section class="subscribe-form">
                <h3 class="subscribe-form-title">Subscribe to Slark</h3>
                <p>Get the latest posts delivered right to your inbox</p>
                <form method="post" action="/subscribe/" class="">
    <input class="confirm" type="hidden" name="confirm"><input class="location" type="hidden" name="location" value="https://slarker.me/selenium/"><input class="referrer" type="hidden" name="referrer" value="https://slarker.me/">

    <div class="form-group">
        <input class="subscribe-email" type="email" name="email" placeholder="youremail@example.com">
    </div>
    <button class="" type="submit"><span>Subscribe</span></button>
    <script type="text/javascript">(function(g,h,o,s,t){h[o]('.location')[s]=h[o]('.location')[s] || g.location.href;h[o]('.referrer')[s]=h[o]('.referrer')[s] || h.referrer;})(window,document,'querySelector','value');</script>
</form>


            </section> -->

            <footer class="post-full-footer">

                <section class="author-card">
                        <img class="author-profile-image" src="<?php $this->options->adminpicUrl() ?>" alt="<?php $this->author(); ?>">
                    <section class="author-card-content">
                        <h4 class="author-card-name"><a href="<?php $this->author->permalink(); ?>"><?php $this->author(); ?></a></h4>
                            <p>Read <a href="<?php $this->author->permalink(); ?>">more posts</a> by this author.</p>
                    </section>
                </section>
                <div class="post-full-footer-right">
                    <a class="author-card-button" href="<?php $this->author->permalink(); ?>">Read More</a>
                </div>

            </footer>


        </article>

    </div>
</main>


<aside class="read-next outer">
    <div class="inner">
        <div class="read-next-feed">

<!-- <?php prev_post($this); ?><p><?php prev_post_content($this); ?></p></section></a><footer class="post-card-meta"><img class="author-profile-image" src="<?php $this->options->adminpicUrl() ?>" alt="<?php $this->author(); ?>"><span class="post-card-author"><a href="<?php $this->author->permalink(); ?>"><?php $this->author(); ?></a></span></footer></article> -->
                
<!-- <?php next_post($this); ?><p><?php next_post_content($this); ?></p></section></a><footer class="post-card-meta"><img class="author-profile-image" src="<?php $this->options->adminpicUrl() ?>" alt="<?php $this->author(); ?>"><span class="post-card-author"><a href="<?php $this->author->permalink(); ?>"><?php $this->author(); ?></a></span></footer></div></article> -->

        </div>
    </div>
</aside>

<div class="floating-header">
    <div class="floating-header-logo">
        <a href="<?php $this->options->siteUrl(); ?>">
            <span><?php $this->options->title() ?></span>
        </a>
    </div>
    <span class="floating-header-divider"></span>
    <div class="floating-header-title"><?php $this->title() ?></div>
    <div class="floating-header-share">
        <div class="floating-header-share-label">Share this <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
    <path d="M7.5 15.5V4a1.5 1.5 0 1 1 3 0v4.5h2a1 1 0 0 1 1 1h2a1 1 0 0 1 1 1H18a1.5 1.5 0 0 1 1.5 1.5v3.099c0 .929-.13 1.854-.385 2.748L17.5 23.5h-9c-1.5-2-5.417-8.673-5.417-8.673a1.2 1.2 0 0 1 1.76-1.605L7.5 15.5zm6-6v2m-3-3.5v3.5m6-1v2"></path>
</svg>
</div>
        <a class="floating-header-share-tw" href="https://twitter.com/share?text=<?php $this->title() ?>&amp;url=<?php $this->permalink() ?>" onclick="window.open(this.href, 'share-twitter', 'width=550,height=235');return false;">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M30.063 7.313c-.813 1.125-1.75 2.125-2.875 2.938v.75c0 1.563-.188 3.125-.688 4.625a15.088 15.088 0 0 1-2.063 4.438c-.875 1.438-2 2.688-3.25 3.813a15.015 15.015 0 0 1-4.625 2.563c-1.813.688-3.75 1-5.75 1-3.25 0-6.188-.875-8.875-2.625.438.063.875.125 1.375.125 2.688 0 5.063-.875 7.188-2.5-1.25 0-2.375-.375-3.375-1.125s-1.688-1.688-2.063-2.875c.438.063.813.125 1.125.125.5 0 1-.063 1.5-.25-1.313-.25-2.438-.938-3.313-1.938a5.673 5.673 0 0 1-1.313-3.688v-.063c.813.438 1.688.688 2.625.688a5.228 5.228 0 0 1-1.875-2c-.5-.875-.688-1.813-.688-2.75 0-1.063.25-2.063.75-2.938 1.438 1.75 3.188 3.188 5.25 4.25s4.313 1.688 6.688 1.813a5.579 5.579 0 0 1 1.5-5.438c1.125-1.125 2.5-1.688 4.125-1.688s3.063.625 4.188 1.813a11.48 11.48 0 0 0 3.688-1.375c-.438 1.375-1.313 2.438-2.563 3.188 1.125-.125 2.188-.438 3.313-.875z"></path></svg>
        </a>
        <a class="floating-header-share-fb" href="https://www.facebook.com/sharer/sharer.php?u=<?php $this->permalink() ?>" onclick="window.open(this.href, 'share-facebook','width=580,height=296');return false;">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M19 6h5V0h-5c-3.86 0-7 3.14-7 7v3H8v6h4v16h6V16h5l1-6h-6V7c0-.542.458-1 1-1z"></path></svg>
        </a>
    </div>
    <progress class="progress" value="0" max="0">
        <div class="progress-container">
            <span class="progress-bar"></span>
        </div>
    </progress>
</div>

<?php $this->need('comments.php'); ?>
<?php $this->need('footer.php'); ?>