<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>

<?php
function threadedComments($comments, $options) {
    $commentClass = '';
    if ($comments->authorId) {
        if ($comments->authorId == $comments->ownerId) {
            $commentClass .= ' comment-by-author';
        } else {
            $commentClass .= ' comment-by-user';
        }
    }
    $commentLevelClass = $comments->levels > 0 ? ' comment-child' : ' comment-parent';
    $depth = $comments->levels +1;
    if ($comments->url) {
        $author = '<a href="' . $comments->url . '"target="_blank"' . ' rel="external nofollow">' . $comments->author . '</a>';
    } else {
        $author = $comments->author;
    }
?>

<li data-no-instant  id="<?php $comments->theId(); ?>" class="comment-body comment-parent comment even thread-even depth-<?php echo $depth ?> <?php $comments->alt(' comment-odd', 'comment-even');?>">
    
    <div id="div-<?php $comments->theId(); ?>" class="comment-body">
<?php
//头像CDN by Rich
$host = 'https://cdn.v2ex.com'; //自定义头像CDN服务器
$url = '/gravatar/'; //自定义头像目录,一般保持默认即可
$size = '100'; //自定义头像大小
$rating = Helper::options()->commentsAvatarRating;
$hash = md5(strtolower($comments->mail));
$avatar = $host . $url . $hash . '?s=' . $size . '&r=' . $rating . '&d=';
?>
<img id="gavatar" class="avatar" src="<?php echo $avatar ?>">

        <footer class="comment-meta">
            <div class="comment-author vcard">
                <b class="fn <?php echo $commentClass; ?>" itemprop="author">
                <?php echo $author; ?>
                </b>
            </div>
            <!-- .comment-author -->
<?php get_comment_at($comments->coid); ?>
            <div class="comment-metadata">
                    <time datetime="<?php $comments->date('M j, Y'); ?>" itemprop="datePublished"><?php echo timesince($comments->created);?></time>
            </div>
            <!-- .comment-metadata -->

<div class="comment-reply" style="visibility: visible;opacity: 1;">
            <?php $comments->reply('回复'); ?>
        <!-- .comment-actions -->
</div>


        <div class="comment-content" itemprop="text">
<p>                <?php 
                $cos = preg_replace_callback('#\@\((.*?)\)#','forReplace',$comments->content);
                $cos1 = preg_replace('#/.png#','.png',$cos);
                echo $cos1;
                ?>
</p>
        </div>
        <!-- .comment-content -->

        
        </footer>
        <!-- .comment-meta -->
    

    <?php if ($comments->children) { ?>
        <div class="comment-children children">
            <?php $comments->threadedComments($options); ?>
        </div>
    <?php } ?>
</li>
<?php } ?>


<div class="comments outer inner" id="comments">
    <?php $this->comments()->to($comments); ?>
    <?php if($this->allow('comment')): ?>
<div id="<?php $this->respondId(); ?>" class="respond" data-no-instant>

    <div id="reply-title" class="comment-reply-title">
        <span>发表评论</span>
    </div>
        <div class="cancel-comment-reply"><?php $comments->cancelReply('取消回复'); ?></div>
    
    <form action="<?php $this->commentUrl() ?>" method="post" id="commentform" class="comment-form" role="form">
        <div class="author-info guest"><img src="//gravatar.com/avatar/?d=mm&s=120" width="120" class="avatar"></div>
        <div class="comment-form-main">
            <div class="comment-textarea-wrapper">
                <p class="comment-form-comment"><label for="comment">评论</label> 
                    <textarea id="comment" name="text" onclick='document.getElementById("comment-form-do").style.display="block";' cols="45" rows="8" aria-required="true" required="required" placeholder="在这里输入你的评论..."><?php $this->remember('text',false); ?></textarea>
                </p>
            </div>
<div class="commentbox">                
<div class="OwO" id="qaq">
<div class="OwO-body" id="OwO-body">
<ul id="OwO-pp" class="OwO-items OwO-items-emoticon OwO-items-show" style="max-height: 197px;">
<?php $this->need('biaoqing.php'); ?>
<li id="ywz"onclick="$('#pp').removeClass('OwO-package-active');$('#ywz').addClass('OwO-package-active');$('#OwO-pp').removeClass('OwO-items-show');$('#OwO-ywz').addClass('OwO-items-show');"class=""><span>颜文字</span></li></ul></div></div>
            <div class="OwO-logo" onclick="$('#qaq').toggleClass('OwO-open');"><span>OωO表情</span></div>
            <p class="form-submit">
                <button name="submit" type="submit" id="submit" class="submit" title="发表评论"><svg class="comment-icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="200" height="200">
                                <path d="M565.747623 792.837176l260.819261 112.921839 126.910435-845.424882L66.087673 581.973678l232.843092 109.933785 562.612725-511.653099-451.697589 563.616588-5.996574 239.832274L565.747623 792.837176z" fill="#ffffff"></path>
                            </svg></button> 
                <?php $security = $this->widget('Widget_Security'); ?>
                <input type="hidden" name="_" value="<?php echo $security->getToken($this->request->getReferer())?>">
            </p>
</div>
</div>
            
            
        </div>
            <?php if(!$this->user->hasLogin()): ?>
            <div class="comment-form-fields" id="comment-form-do">
                <p class="comment-form-author">
                    <label for="author">昵称</label> <span class="required">*</span>
                    
                    <input type="text" name="author" maxlength="12" id="author" placeholder="昵称" value="<?php $this->remember('author'); ?>" <?php if ($this->options->commentsRequireMail): ?>required<?php endif; ?>>
                    
                </p>
                <p class="comment-form-email">
                    <label for="email">邮箱</label> <span class="required">*</span>
                    
                    <input type="email" name="mail" id="mail" placeholder="邮箱" value="<?php $this->remember('mail'); ?>" <?php if ($this->options->commentsRequireMail): ?>required<?php endif; ?>>
                </p>
                <p class="comment-form-url">
                    <label for="url">网站</label> 
                    
                    <input type="url" name="url" id="url" placeholder="网站" value="<?php $this->remember('url'); ?>" <?php if ($this->options->commentsRequireURL): ?>required<?php endif; ?>>
                    
                </p>
            </div>
            <?php endif; ?>
        <div class="comment-form-extra">
            <span class="response"><?php if($this->user->hasLogin()): ?> You are <a href="<?php $this->options->profileUrl(); ?>" data-no-instant><?php $this->user->screenName(); ?></a> here, do you want to <a href="<?php $this->options->logoutUrl(); ?>" title="Logout" data-no-instant>logout</a> ?<?php endif; ?></span>
            
        </div>
    </form>
    </div>
        <?php else : ?>
            <span class="response">Comments are closed.</span>
        <?php endif; ?>

        <?php if ($comments->have()): ?>
<div class="comment-separator"><div class="comment-tab-current"><span class="comment-num"><?php $this->commentsNum(_t('暂无评论'), _t('已有 1 条评论'), _t('已有 %d 条评论')); ?></span></div></div>
        <?php $comments->listComments(); ?>

        <div class="lists-navigator clearfix">
            <?php $comments->pageNav('←','→','2','...'); ?>
        </div>
		<?php else : ?>
		<!-- <div class="comment-separator"><div class="comment-tab-current"><span class="comment-num">已有 0 条评论</span></div></div>
		<ol class="comment-list">
<li class="no-content" style="position: relative;padding-left: 0;margin: 25px 0;text-align: center;font-size: 140%;">暂无评论，快来抢沙发吧~</li>
</ol> -->
        <?php endif; ?>
    
</div>
</div>

<script type="text/javascript">

</script>


<script type="text/javascript">
(function () {
    window.TypechoComment = {
        dom : function (id) {
            return document.getElementById(id);
        },
    
        create : function (tag, attr) {
            var el = document.createElement(tag);
        
            for (var key in attr) {
                el.setAttribute(key, attr[key]);
            }
        
            return el;
        },

        reply : function (cid, coid) {
            var comment = this.dom(cid), parent = comment.parentNode,
                response = this.dom('<?php echo $this->respondId(); ?>'), input = this.dom('comment-parent'),
                form = 'form' == response.tagName ? response : response.getElementsByTagName('form')[0],
                textarea = response.getElementsByTagName('textarea')[0];

            if (null == input) {
                input = this.create('input', {
                    'type' : 'hidden',
                    'name' : 'parent',
                    'id'   : 'comment-parent'
                });

                form.appendChild(input);
            }

            input.setAttribute('value', coid);

            if (null == this.dom('comment-form-place-holder')) {
                var holder = this.create('div', {
                    'id' : 'comment-form-place-holder'
                });

                response.parentNode.insertBefore(holder, response);
            }

            comment.appendChild(response);
            this.dom('cancel-comment-reply-link').style.display = '';

            if (null != textarea && 'text' == textarea.name) {
                textarea.focus();
            }

            return false;
        },

        cancelReply : function () {
            var response = this.dom('<?php echo $this->respondId(); ?>'),
            holder = this.dom('comment-form-place-holder'), input = this.dom('comment-parent');

            if (null != input) {
                input.parentNode.removeChild(input);
            }

            if (null == holder) {
                return true;
            }

            this.dom('cancel-comment-reply-link').style.display = 'none';
            holder.parentNode.insertBefore(response, holder);
            return false;
        }
    };
})();
</script>

</div>