<?php
/**
 * New-Casper 是 Ghost 博客的一款默认主题，极简风格，适合写作
 * 
 * @package NewCasper
 * @author yufan
 * @version 0.1
 * @link https://yufanboke.top/
 */

if (!defined('__TYPECHO_ROOT_DIR__')) exit;
 $this->need('header.php');
 ?>

<main id="site-main" class="site-main outer">
    <div class="inner">

        <div class="post-feed">
<?php while($this->next()): ?>
<article class="post-card post">
        <a class="post-card-image-link" href="<?php $this->permalink() ?>">
            <div class="post-card-image" style="background-image: url(<?php $this->fields->pic(); ?>)"></div>
        </a>
    <div class="post-card-content">
<a class="post-card-content-link" href="<?php $this->permalink() ?>">
            <header class="post-card-header">
                <span class="post-card-tags"><?php $this->category(',', false); ?></span>
                <h2 class="post-card-title"><?php $this->title() ?></h2>
            </header>
            <section class="post-card-excerpt">
            <p><?php $this->excerpt('500',' ');?></p>
            </section>
</a>
<footer class="post-card-meta">
                <img class="author-profile-image" src="<?php $this->options->adminpicUrl() ?>" alt="author">
            <span class="post-card-author"><a href="<?php $this->author->permalink(); ?>"><?php $this->author(); ?></a></span>
</footer>
    </div>
</article>
<?php endwhile;?>
        </div>

    </div>
<ol class="index-page-navigator">
<li class="btn btn-primary prev btn-primary-prev"><?php $this->pageLink('上一页'); ?></li>
<li class="btn btn-primary next btn-primary-next"><?php $this->pageLink('下一页','next'); ?></li>
</ol>
</main>


<?php $this->need('footer.php'); ?>
